# $Revision: 1.10 $, $Date: 2011/10/30 20:45:02 $
%define		plugin hostinfo
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	Plugin for Cacti -  Host info
Summary(pl.UTF-8):	Wtyczka do Cacti -  Host info
Name:		cacti-plugin-%{plugin}
Version:	0.2
Release:	2
License:	GPL v2
Group:		Applications/WWW
Source0:	http://mirror.cactiusers.org/downloads/plugins/%{plugin}-%{version}.zip
# Source0-md5:	e06cda8197ed5677d918737321528394
URL:		http://www.cactiusers.org/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	unzip
Requires:	cacti
Requires:	php-common >= 4:%{php_min_version}
Requires:	php-mysql
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		plugindir		%{cactidir}/plugins/%{plugin}

%description
Plugin for Cacti - This plugin will give you version information about
your Cacti server. It outputs everything from Web server information,
to PHP, MySQL, RRDtool, and SNMP versions. It will also give you the
information in BBCode format to easily allow you to post it to a
forum.

%description -l pl.UTF-8
Wtyczka do Cacti wyświetlająca informacje o serwerze na którym
uruchomiono cacti. Podaje wszystkie informacje począwszy od serwera
WWW, a kończąc na wersjach PHP, MySQL-a, RRDtoola i SNMP. Podaje także
informacje w formacie BBCode, umożliwiając łatwe wysłanie ich na
forum.

%prep
%setup -qc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -p *.php $RPM_BUILD_ROOT%{plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{plugindir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cacti-plugin-hostinfo.spec,v $
Revision 1.10  2011/10/30 20:45:02  glen
- php deps, gpl version

Revision 1.9  2010/05/16 14:13:35  sparky
- BR: unzip

Revision 1.8  2008/10/05 11:18:07  glen
- simplify macros and cleanups

Revision 1.7  2007/12/26 13:06:27  glen
- cleanups

Revision 1.6  2007-12-13 12:48:27  wolvverine
- up to 0.2

Revision 1.5  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.3  2006/06/08 20:24:39  qboosh
- completed pl

Revision 1.2  2006/06/04 17:59:06  wolvverine
- new description

Revision 1.1  2006/06/04 17:53:58  wolvverine
- new plugin for cacti
